/*
 * Copyright (C) 2005 NTT DATA Corporation
 * 
 */
package org.postgresforest.tool.bean;


/**
 *	ログイン入力情報 
 *
 */
public class LoginInfo {
	/** ユーザ名*/
	protected String m_user;
	/** ユーザ名*/
	protected String m_password;
	/** ホスト名*/
	protected String m_hostname;
	/** データベース名*/
	protected String m_dbname;
	/** ポート番号*/
	protected String m_portno;

	/**
	 * @return
	 * @since 2.0
	 */
	public String getDbname() {
		return m_dbname;
	}

	/**
	 * @return
	 * @since 2.0
	 */
	public String getHostname() {
		return m_hostname;
	}

	/**
	 * @return
	 * @since 2.0
	 */
	public String getPortno() {
		return m_portno;
	}


	/**
	 * @return
	 * @since 2.0
	 */
	public String getPassword() {
		return m_password;
	}

	/**
	 * @return
	 * @since 2.0
	 */
	public String getUser() {
		return m_user;
	}


	/**
	 * @param strings
	 * @since 2.0
	 */
	public void setDbname(String strings) {
		m_dbname = strings;
	}

	/**
	 * @param strings
	 * @since 2.0
	 */
	public void setHostname(String strings) {
		m_hostname = strings;
	}

	/**
	 * @param strings
	 * @since 2.0
	 */
	public void setPortno(String strings) {
		m_portno = strings;
	}
	

	/**
	 * @param string
	 * @since 2.0
	 */
	public void setUser(String string) {
		m_user = string;
	}

	/**
	 * @param string
	 * @since 2.0
	 */
	public void setPassword(String string) {
		m_password = string;
	}

    /* (非 Javadoc)
     * @see java.lang.Object#toString()
     */
    public String toString() {
        // TODO 自動生成されたメソッド・スタブ
        return m_user + "@" + m_hostname + ":" + m_portno + "/" + m_dbname;
    }
	
}
